Skip to main content
GET
List Templates

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Query Parameters

select_filters
string

JSON-encoded filter object. Format: {"field": {"op": value}}. Example: {"use_ssh": {"eq": true}, "recommended": {"eq": true}} or {"count_created": {"gt": 100}}

select_cols
string

JSON-encoded array of columns to return. Example: ["*"] for all columns or ["id", "name", "hash_id"] for specific columns.

order_by
string

Column to order the results by.

Response

Returns {success, templates_found, templates} on success, or {success: false, msg: "No templates found"} when no results match

success
boolean

True if templates were found, false otherwise

msg
string

Present when no templates are found: "No templates found"

templates_found
integer

Count of returned templates

templates
object[]

Array of matching template objects